/*
 * e_mulvec.h
 *
 *  Created on: 10-06-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_MULVEC_H_
#define E_MULVEC_H_

#include "tdefs.h"

struct e_mulvec_logic
{
	float *orta1_ptr;
	float *ortb1_ptr;
	float *orta2_ptr;
	float *ortb2_ptr;
	float *orta_ptr;
	float *ortb_ptr;
	float *esk_ptr;
};

struct e_mulvec_io
{
	u32 orta1_float_in;
	u32 ortb1_float_in;
	u32 orta2_float_in;
	u32 ortb2_float_in;
	u32 orta_float_out;
	u32 ortb_float_out;
	u32 esk_float_out;
}__attribute__((__packed__));

struct e_mulvec_params
{
}__attribute__((__packed__));

struct e_mulvec_args
{
	struct e_mulvec_io io;
	struct e_mulvec_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_mulvec(void *args, void *logic);
extern int e_mulvec_initlog(void *arguments, void *logic);

#endif /* E_MULVEC_H_ */
